### Enumeration

# Gsk Isolation

since: 4.22

#### Declaration

    flags Gsk.Isolation

#### Description [src]

These flags describe the types of isolations possible with a `GskIsolationNode`.

More isolation options may be added in the future.

Available since: 4.22

#### Members

`GSK_ISOLATION_NONE`

  No isolation is defined.

  - Value: `0`
  - Available since: 4.22
`GSK_ISOLATION_BACKGROUND`

  If the background should be made available. If the background is not available, future operations will be rendered to a transparent background and added to the existing background later.

  - Value: `1`
  - Available since: 4.22
`GSK_ISOLATION_COPY_PASTE`

  If copies should be available to paste nodes. If copies are not available, paste nodes can only paste from copies that are made inside the isolated contents.

  - Value: `2`
  - Available since: 4.22
`GSK_ISOLATION_ALL`

  Isolate everything. This will include features that are added in the future.

  - Value: `-1`
  - Available since: 4.22